
Redmine - Defect #10026

Git: Mercurial: Branch dropdown broken on repositories page

2012-01-18 00:14 - John Kubiatowicz

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

The branch dropdown (for choosing a branch other than 'master') seems to be broken as of the latest version of trunk (pulled today,

revision 8670).  The problem is that the resulting link is undefined:

For instance, when selecting the "ericb" branch, you get a 404 error on:

https://somesite.org/redmine/projects/tess-kernel/repository/revisions//show?rev=ericb

Notice that (1) the "//" in the middle seems to really confuse the router.  Also, (2) I've tried other variants suggested by the latest

routes.rb, such as repository/revisions/ericb or other variants.  They come up with an "entry not found in the repository" error.  This

problem seems to have happened very recently (last couple of days?) and is probably part of the multiple-SCM rewrite.

My info is as follows:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.11

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /source/tessellation/test-site/redmine

Environment               production

Database adapter          mysql

Database schema version   20120115143126

About your Redmine plugins

Redmine Git Hosting Plugin       0.4.3x

Redmine OpenID Selector plugin   0.0.1

Related issues:

Related to Redmine - Feature #779: Multiple SCM per project Closed 2008-03-04

Associated revisions

Revision 8678 - 2012-01-20 20:46 - Jean-Philippe Lang

Fixed: Git: Mercurial: Branch dropdown broken on repositories page (#10026).

Revision 8683 - 2012-01-21 06:16 - Toshi MARUYAMA

route: scm: add revision requirements for git/mercurial branches (#10026)

hgsubversion mirror (https://bitbucket.org/redmine/redmine-all) has

"../sandbox/rails-2.3" and "../sandbox/rails-2.2" named branches.

"View revisions" link of "../sandbox/rails-2.3" generates

"repository/revisions/..%2Fsandbox%2Frails-2.3/changes".

But, passenger returns "Not Found".

History
#1 - 2012-01-18 08:16 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Affected version (unused) set to devel

I confirmed.

#779 broke Git/Mercurial branches browsing.

#2 - 2012-01-18 08:19 - Toshi MARUYAMA

- Category set to SCM

#3 - 2012-01-18 08:22 - Toshi MARUYAMA

- Subject changed from Branch dropdown broken on repositories page (at least for Git repos) to Git: Mercurial: Branch dropdown broken on

repositories page

#4 - 2012-01-20 20:46 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This should be fixed by r8678.

#5 - 2020-01-13 04:53 - Go MAEDA

- Status changed from Resolved to Closed

Jean-Philippe Lang wrote:

This should be fixed by r8678.

 Closing.
